Package org.spongepowered.asm.service

## Interface IClassTracker

    public interface IClassTracker

Class trackers are responsible for interacting with the class loading process to for the purposes of tracking class load activity and class load restrictions. This service component is entirely optional and services can elect to return `null` if the platform does not support this functionality.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getClassRestrictions​(java.lang.String className)` Check whether the specified class name is subject to any restrictions in the context of this service
`boolean` `isClassLoaded​(java.lang.String className)` Check whether the specified class was already loaded by the service classloader
`void` `registerInvalidClass​(java.lang.String className)` Register an invalid class with the service classloader

### Method Detail

#### registerInvalidClass

    void registerInvalidClass​(java.lang.String className)

Register an invalid class with the service classloader

Parameters:
  `className` - invalid class name

#### isClassLoaded

    boolean isClassLoaded​(java.lang.String className)

Check whether the specified class was already loaded by the service classloader

Parameters:
  `className` - class name to check
Returns:
  true if the class was already loaded

#### getClassRestrictions

    java.lang.String getClassRestrictions​(java.lang.String className)

Check whether the specified class name is subject to any restrictions in the context of this service

Parameters:
  `className` - class name to check
Returns:
  comma-separated list of restrictions, empty string if no restrictions apply